> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server.

# Update an integration

PATCH https://example.ada.support/api/v2/platform-integrations/{id}
Content-Type: application/json

Update a platform integration. **_Note:_ only integrations in development may be updated. Integrations submitted for publication cannot be updated.**

Reference: https://docs.ada.cx/reference/integrations/update-single-platform-integration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — The ID of the platform integration to update

### Body (application/json)

This endpoint expects a PlatformIntegrationUpdateRequest.

- `author` (string, optional) — The name of the integration developer
- `call_to_action` (string, optional, nullable) — The call to action text
- `configuration_fields` (IntegrationCommonFieldsConfigurationFields, optional) — A json-schema describing the settings fields that a user should be presented with when installing the integration
- `contact` (string, optional) — The URL or email address where users of the integration can reach out for support
- `description` (string, optional) — A description of what the integration does and how to use it
- `error_codes` (IntegrationCommonFieldsErrorCodes, optional, nullable) — An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
- `icon_url` (string, optional, nullable) — The URL of the icon that should be displayed with your integration
- `identifier_field_path` (string, optional) — JMESPath describing which of the fields in `configuration_fields` is the best human-friendly field to use to identify a specific installation (e.g., account name)
- `name` (string, optional) — The name of the integration
- `oauth_callback_url` (string, optional) — The `get` endpoint that will be invoked after OAuth authorization
- `scopes` (list of string, optional) — The list of OAuth token permissions the integration requests when installed
- `tags` (list of enum, optional) — A list of tags that describe the type of integration
  - Allowed values: `knowledge`
- `uninstallation_url` (string, optional) — The `delete` endpoint that initiates the uninstallation flow for the integration

## Response

### 200

Platform integration updated

- `id` (string, required) — The unique identifier for the integration
- `status` (string, required) — The current state of the integration (development, approved, archived)
- `identifier_field_path` (string, required) — JMESPath describing which of the fields in `configuration_fields` is the best human-friendly field to use to identify a specific installation (e.g., account name)
- `name` (string, required) — The name of the integration
- `description` (string, required) — A description of what the integration does and how to use it
- `author` (string, required) — The name of the integration developer
- `contact` (string, required) — The URL or email address where users of the integration can reach out for support
- `uninstallation_url` (string, required) — The `delete` endpoint that initiates the uninstallation flow for the integration
- `oauth_callback_url` (string, required) — The `get` endpoint that will be invoked after OAuth authorization
- `tags` (list of enum, required) — A list of tags that describe the type of integration
  - Allowed values: `knowledge`
- `scopes` (list of string, required) — The list of OAuth token permissions the integration requests when installed
- `configuration_fields` (PlatformIntegrationConfigurationFields, required) — A json-schema describing the settings fields that a user should be presented with when installing the integration
- `created` (string, optional) — The date the integration was created
- `updated` (string, optional) — The date the integration was last updated
- `icon_url` (string, optional, nullable) — The URL of the icon that should be displayed with your integration
- `call_to_action` (string, optional, nullable) — The call to action text
- `error_codes` (PlatformIntegrationErrorCodes, optional, nullable) — An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

## Errors

### 400 Bad Request Error

Invalid request

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 401 Unauthorized Error

Unauthorized

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 429 Too Many Requests Error

Too Many Requests

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 500 Internal Server Error

Internal Server Error

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

## Types

### IntegrationCommonFieldsConfigurationFields

A json-schema describing the settings fields that a user should be presented with when installing the integration

### IntegrationCommonFieldsErrorCodes

An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

### PlatformIntegrationConfigurationFields

A json-schema describing the settings fields that a user should be presented with when installing the integration

### PlatformIntegrationErrorCodes

An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

### ErrorsErrorsItems

- `type` (string, required) — The error type
- `message` (string, required) — The error message
- `details` (string, optional, nullable) — Extra information about the error

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "5df263b7db5a7e6ea03fae9b",
  "status": "development",
  "identifier_field_path": "credentials.knowledgeHubUrl",
  "name": "Connect to Cool Shop Knowledge Hub",
  "description": "Connect to Cool Shop Knowledge Hub to sync articles with your AI Agent's knowledge base",
  "author": "Cool Shop",
  "contact": "help@coolshop.support",
  "uninstallation_url": "http://coolshop.com/uninstall",
  "oauth_callback_url": "http://coolshop.com/",
  "tags": [
    "knowledge"
  ],
  "scopes": [
    "articles:read",
    "knowledge_sources:write"
  ],
  "configuration_fields": {
    "title": "Connect to Cool Shop Knowledge Hub",
    "type": "object",
    "description": "Complete this form to integrate your Knowledge Hub with your AI Agent",
    "required": [
      "credentials"
    ],
    "properties": {
      "credentials": {
        "type": "object",
        "title": "My Knowledge Hub credentials",
        "description": "The following information is found in your Cool Shop admin center",
        "properties": {
          "knowledgeHubUrl": {
            "type": "string",
            "title": "Knowledge Hub URL",
            "description": "The URL of your Knowledge Hub"
          },
          "secretKey": {
            "type": "string",
            "title": "Secret key",
            "description": "Find your Knowledge Hub secret key on the Knowledge Hub Management page",
            "format": "password"
          }
        },
        "required": [
          "knowledgeHubUrl",
          "secretKey"
        ]
      }
    }
  },
  "created": "2020-09-20T00:00:00+00:00",
  "updated": "2020-09-20T00:00:00+00:00",
  "icon_url": "https://example.com/icon.png",
  "call_to_action": "Connect to Cool Shop Knowledge Hub",
  "error_codes": {
    "error_403": "Unauthorized",
    "error_404": "Not Found"
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.ada.support/api/v2/platform-integrations/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.ada.support/api/v2/platform-integrations/id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/api/v2/platform-integrations/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/api/v2/platform-integrations/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://example.ada.support/api/v2/platform-integrations/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://example.ada.support/api/v2/platform-integrations/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.ada.support/api/v2/platform-integrations/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/platform-integrations/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```